X(dxgi,  CreateDXGIFactory, HRESULT, (REFIID,void**))
X(d3d11, D3D11CreateDevice, HRESULT,
  (IDXGIAdapter*,D3D_DRIVER_TYPE,HMODULE,UINT,
   D3D_FEATURE_LEVEL*,UINT,UINT,ID3D11Device**,
   D3D_FEATURE_LEVEL*,ID3D11DeviceContext**))
X(d3dcompiler, D3DCompile, HRESULT,
  (LPCVOID,SIZE_T,LPCSTR,D3D_SHADER_MACRO*,
   ID3DInclude*,LPCSTR,LPCSTR,UINT,UINT,ID3DBlob**,
   ID3DBlob**))
